%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		openshot
#Epoch:		0
Version:	1.1.3
Release:	1
License:	GNU/GPLv3
URL:		http://www.openshotvideo.com
Group:		Video
Summary:	non-linear video editor for linux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre):	desktop-file-utils

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires:	python26-devel

Requires:      goocanvas

# Copied from http://killobyte.com/openshot/openshot.spec
Requires:      x264
Requires:      ffmpeg
Requires:      pyxdg
Requires:      python26-pygtk
Requires:      mlt
Requires:      frei0r-plugins
Requires:      sox
Requires:      librsvg



%description
OpenShot Video Editor is an open-source, non-linear video editor for Linux, built with Python, GTK, and the MLT Framework. 

%prep
%setup -q -n openshot-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT

# Remove unnecessary file
rm %{buildroot}/%{_libdir}/mime/packages/openshot

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find %{buildroot}/%{python_sitelib} -name '*.py' \
  -exec grep -q '^#!' '{}' \; -print | while read F
do
  awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
  touch -r $F chopped
  mv chopped $F
done

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root)
%{_bindir}/openshot
%{_bindir}/openshot-render
%{python_sitelib}/%{name}
%{python_sitelib}/*egg-info
%{_applications}/openshot.desktop
%{_mandir}/man1/openshot.1.gz
%{_mandir}/man1/openshot-render.1.gz
%{_datadir}/mime/packages/openshot.xml
%{_pixmaps}/openshot.png

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Jul 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Tue Mar 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- initial CCux package release
